<?php

declare(strict_types=1);

namespace App\Controller\TblPublicidad;

use App\Service\TblPublicidadService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPublicidadService(): TblPublicidadService
    {
        return $this->container->get('TblPublicidad_service');
    }
}
